=== debian/changelog ===
ros-rolling-ros-gz-bridge (0.245.0-1jammy) jammy; urgency=high

  * Backport: Add missing rosidl_cmake dep to ros_gz_bridge (#391 <https://github.com/gazebosim/ros_gz/issues/391>) (#396 <https://github.com/gazebosim/ros_gz/issues/396>)
  * Contributors: Michael Carroll, Yadu, Chris Lalancette

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.11-1jammy) jammy; urgency=high

  * Add actuator_msgs to humble bridge. (#394 <https://github.com/gazebosim/ros_gz/issues/394>)
  * Contributors: Benjamin Perseghetti

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.10-1jammy) jammy; urgency=high

  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Introduce WrenchStamped into bridge (#327 <https://github.com/gazebosim/ros_gz/issues/327>)
  * Humbly bringing the Joy to gazebo. (#353 <https://github.com/gazebosim/ros_gz/issues/353>)
  * Make the bridge aware of both gz and ignition msgs (#349 <https://github.com/gazebosim/ros_gz/issues/349>)
  * Contributors: Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, livanov93

 -- Louise Poubel <louise@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.9-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.8-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.7-1jammy) jammy; urgency=high

  * Make sure that ign_* yaml configs work as well (#310 <https://github.com/gazebosim/ros_gz/issues/310>)
  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)
    * bridge float_v and float32_multi_array msg type
    Co-authored-by: Ian Chen <mailto:ichen@openrobotics.org>
  * Bridge between msgs::Pose_V and geometry_msgs/PoseArray msg types (#305 <https://github.com/gazebosim/ros_gz/issues/305>)
  * replace ign with gz in ros_gz_bridge README (#303 <https://github.com/gazebosim/ros_gz/issues/303>)
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Fix merge
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Ian Chen, Michael Carroll, Olivier Kermorgant

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.6-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.5-1jammy) jammy; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.3-1jammy) jammy; urgency=high

  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Adds pose and twist with covariance messages bridging (#222 <https://github.com/gazebosim/ros_gz/issues/222>)
    * Added pose, twist and odometry with covariance messages bridging
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 19 May 2022 05:00:00 -0000

ros-rolling-ros-gz-bridge (0.244.2-1jammy) jammy; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Added reminder to hit play to receive images. (#237 <https://github.com/gazebosim/ros_gz/issues/237>)
  * Updated ign topic commnds on README (#221 <https://github.com/gazebosim/ros_gz/issues/221>)
  * Add conversions for ros_gz_interfaces/WorldControl and builtin_interfaces/Time (#216 <https://github.com/gazebosim/ros_gz/issues/216>)
  * [ros_gz_interfaces] Add GuiCamera, StringVec, TrackVisual, VideoRecord (#214 <https://github.com/gazebosim/ros_gz/issues/214>)
  * Break apart ros_subscriber test translation unit (#212 <https://github.com/gazebosim/ros_gz/issues/212>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * Add missing dependency on rclcpp (#209 <https://github.com/gazebosim/ros_gz/issues/209>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Aditya Pande, Ivan Santiago Paunovic, Joep Tool, Louise Poubel, Michael Carroll


