=== debian/control ===
Source: ros-rolling-ros-gz-bridge
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs8-dev, libignition-transport11-dev, pkg-config, ros-rolling-actuator-msgs, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-launch-ros <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-ros-gz-interfaces, ros-rolling-rosgraph-msgs, ros-rolling-rosidl-pycommon, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-msgs, ros-rolling-trajectory-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-gz-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs8-dev, libignition-transport11-dev, ros-rolling-actuator-msgs, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-ros-gz-interfaces, ros-rolling-rosgraph-msgs, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-msgs, ros-rolling-trajectory-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Bridge communication between ROS and Gazebo Transport
